Bug 819618 - characters echoed to terminal
characters echoed to terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 14:32 EDT by Zing
Modified: 2013-02-13 17:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:08:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (85.05 KB, text/plain)
2012-05-07 16:50 EDT, Zing
no flags Details
lspci output (78.20 KB, text/plain)
2012-05-07 16:51 EDT, Zing
no flags Details
plymouth.debug log (103.01 KB, text/plain)
2012-05-08 10:18 EDT, Zing
no flags Details

  None (edit)
Description Zing 2012-05-07 14:32:32 EDT
Description of problem:
I don't know if this is a systemd problem, but I'm starting here.

I have same problems/symptoms from bug #678720

I don't know if this particular bug was fixed or it's come back.  Bugs #678720 and #681167 are both closed.

I boot to runlevel 3 and when I press ESC during that text bar growing screen, then my login password is echoed to the screen.  It logs me in and from there, command lines are echoed back to the screen.

Only the first virtual console seems to be the problem... the others are "ok".  

If I don't press ESC, then things are alright.

The system is an ibm x3550 m3.  I'm using grub-efi to boot (I think as I configure /etc/grub.conf), although grub2 looks like it is installed also.


Version-Release number of selected component (if applicable):
systemd-37-19.fc16.x86_64
plymouth-0.8.4-0.20110822.3.fc16.x86_64
kernel-3.3.4-3.fc16.x86_64
grub-efi-0.97-84.fc16.x86_64
grub2-1.99-13.fc16.2.x86_64
Comment 1 Michal Schmidt 2012-05-07 15:36:21 EDT
How does your kernel command line look like?
Comment 2 Zing 2012-05-07 16:50:22 EDT
Command line: rd.lvm.lv=mainvg/swaplv rd.dm=0  KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.md=0 rd.luks=0 ro root=UUID=758dc40b-8f41-4530-a001-cf98570c0ac0 LANG=en_US.UTF-8 rhgb

Interestingly, I tried also without rhgb, but same problem: if I hit a key while booting (after I see the linux penguins) I get the echoing of keys.

It does seem if I don't touch anything during boot, things seem "ok".

I'll attach a dmesg and lspci output in case it helps.
Comment 3 Zing 2012-05-07 16:50:53 EDT
Created attachment 582785 [details]
dmesg
Comment 4 Zing 2012-05-07 16:51:32 EDT
Created attachment 582786 [details]
lspci output
Comment 5 Zing 2012-05-08 10:18:59 EDT
Created attachment 583005 [details]
plymouth.debug log

If I set plymouth.debug on the kernel cmdline, the symptoms go away.  I'll attach the plymouth debug log just in case it's helpful though.
Comment 6 Michal Schmidt 2012-06-07 04:06:55 EDT
I'm unable to reproduce it. It's likely plymouth's fault. Reassigning.
Comment 7 Fedora End Of Life 2013-01-16 12:27:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 17:08:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.